# MAKE TOP FIGURE 2 OF THE ARTICLE WITH THE CSV-FILES WHERE THE ESTIMATES ARE STORED

setwd("/Users/.../replication_archive/article/Figure_2")

ma <- c(5,4,4,2)+0.1
marg <- ma + c(1,0,-1,0)
marg2 <- ma + c(2.5,0,-2.5,0)


nsc <- read.csv("comp_NSC_x10.csv")

not.same.conf <- matrix(NA, nrow(nsc), 3)
not.same.conf <- cbind(nsc[,1], not.same.conf)

not.same.conf[,2] <- nsc[,2]
not.same.conf[,3] <- nsc[,2] - qnorm(0.975)*nsc[,4]
not.same.conf[,4] <- nsc[,2] + qnorm(0.975)*nsc[,4]


sc <- read.csv("comp_SC_x10.csv")

same.conf <- matrix(NA, nrow(sc), 3)
same.conf <- cbind(sc[,1], same.conf)

same.conf[,2] <- sc[,2]
same.conf[,3] <- sc[,2] - qnorm(0.975)*sc[,4]
same.conf[,4] <- sc[,2] + qnorm(0.975)*sc[,4]



co <- read.csv("all_competitors.csv")

commuters <- matrix(NA, nrow(co), 3)
commuters <- cbind(co[,1], co)

commuters[,2] <- co[,2]
commuters[,3] <- co[,2] - qnorm(0.975)*co[,4]
commuters[,4] <- co[,2] + qnorm(0.975)*co[,4]



k <- c(20, 30, 40, 50, 60, 70, 80, 90, 100, 150, 200, 300, 400, 500, 1000)
x <- seq(1, length(k))
a <- 0.20

ylim <- c(range(c(not.same.conf[,-1], same.conf[,-1], commuters[,-1])))



leg1 <- expression(paste("Competitors not in same conference (", W^r*y, ")", sep=""))
leg2 <- expression(paste("All competitors (", W^C*y, ")", sep=""))
leg3 <- expression(paste("Competitors in same conference (", W^R*y, ")", sep=""))


#pdf(file="results1.pdf", paper="special", width=9, height=6)
par(mar=marg)
plot(c(1, max(x)), ylim, type="n", axes=FALSE, ylab="Point estimate and 95% CI", xlab="Annual income (thousands of CHF)", main="", cex.lab=1.2, font.main=1)

axis(2, cex.axis=1.2)
axis(1, at=x, cex.axis=1.2, labels=FALSE)
box()

abline(h=0, lty=2)

points(x-a, not.same.conf[,2], col=1, cex=1.3, pch=1)
segments(x-a, not.same.conf[,3], x-a, not.same.conf[,4], col=1)

points(x+a, same.conf[,2], col=1, cex=1.2, pch=2)
segments(x+a, same.conf[,3], x+a, same.conf[,4], col=1)

points(x, commuters[,2], col="grey", cex=1.2, pch=4)
segments(x, commuters[,3], x, commuters[,4], col="grey")


for(i in 1:length(x)){
	w <- k[i]
	mtext(paste(w), side=1, adj=0.5, padj=1.5, at=i, cex=1.2)
}

legend("bottomright", c(leg1, leg2, leg3), pch=c(1,4,2), col=c(1, "grey", 1), text.col=c(1, "grey", 1), bty="n", cex=1.1)
#dev.off()


