clear
cd "/Users/.../replication_archive/supplementary_material/Table_A2"

insheet using steuern.csv, c       
tsset cantonid year


/************************************************************************************/
/*********** ROBUSTNESS CHECKS, ONLINE SUPPLEMENTARY MATERIAL, TABLE A2 *************/
/************************************************************************************/


/********* With Regional Fixed Effects (1, 2, 3) ***********/

xtpcse ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj /*
*/ reg_fe_cent reg_fe_east reg_fe_west reg_fe_nowest _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)


xtpcse ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj /*
*/ reg_fe_cent reg_fe_east reg_fe_west reg_fe_nowest _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)


xtpcse ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj /*
*/ reg_fe_cent reg_fe_east reg_fe_west reg_fe_nowest _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)



/********* Only Canton Fixed Effects (4, 5, 6) ************/

xtpcse ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_*, c(psar1)

xtpcse ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_*, c(psar1)

xtpcse ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_*, c(psar1)



/********* Without Year and Unit Fixed Effects (7, 8, 9) **************/

xtpcse ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj, c(psar1)

xtpcse ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj, c(psar1)

xtpcse ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj, c(psar1)



/********** No Control For Serial Correlation (10, 11, 12) *************/

xtpcse ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007

xtpcse ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007

xtpcse ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007



/********* With Lagged Dependent Variable (13, 14, 15) ************/

xtpcse ks_150 l.ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007

xtpcse ks_150 l.ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007

xtpcse ks_150 l.ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007



/********* Without Northwestern Conference (16, 17, 18) ************/

xtpcse ks_150 sl_nsc_x10_ohne_nws_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)

xtpcse ks_150 sl_sc_x10_ohne_nws_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)

xtpcse ks_150 sl_nsc_x10_ohne_nws_150 sl_sc_x10_ohne_nws_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)



/********* With Travel Data (weights x10) (19, 20, 21) ************/

xtpcse ks_150 sl_nsc_travel_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)

xtpcse ks_150 sl_sc_travel_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)

xtpcse ks_150 sl_nsc_travel_150 sl_sc_travel_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)





/*********************************************************************/
/************* MAIN MODELS OF THE ARTICLE, TABLE 3 *******************/
/*********************************************************************/


/******** Model 1 *********/

xtpcse ks_150 spatlag_n_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1) 


/******** Model 2 *********/

xtpcse ks_150 spatlag_c_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)


/******** Model 3 *********/

xtpcse ks_150 sl_not_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)


/******** Model 4 *********/

xtpcse ks_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent  /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)


/******** Model 5 *********/

xtpcse ks_150 sl_not_same_conf_x10_150 sl_same_conf_x10_150 schulden_capita_in10000 defizit_capita_in10000 arbl_prozent /*
*/ ausg_capita_in10000 ktant_capita_in10000 l.pop_ej_log l.svp_ej l.fdp_ej l.cvp_ej l.left_ej /*
*/ l.fimi_svp_aj l.fimi_fdp_aj l.fimi_cvp_aj l.fimi_left_aj _icantonid_* y1991 y1992 y1993 y1994/*
*/ y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003 y2004 y2005 y2006 y2007, c(psar1)




