* Replication do file for Lipsmeyer and Zhu (2011) "Immigration, Globalization, and Unemployment Benefits in Developed EU States"

use "C:\Users\williamslaro\Documents\Research\Projects\Spatial Methods\Diffusion\Survey\Replication\Lipsmeyer and Zhu 2011\AJPS Immigration Data.dta", clear

gen i_entitlement_tm1 = L.i_entitlement
	
*** Generate a naive version of the TLSL
tempvar numobs i_entitlement_tm1 totent
bys year: egen `numobs' = count(state)
bys year: egen `totent' = total(i_entitlement_tm1)
gen tlsl = (`totent' - i_entitlement_tm1) / (`numobs' - 1)

sort state year

cap log close
log using "C:\Users\williamslaro\Documents\Research\Projects\Spatial Methods\Diffusion\Survey\Replication\Lipsmeyer and Zhu 2011\LZ Results.smcl", replace 

*** Replication of their model (Table 1, page 654)
xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state, corr(ar1) pairwise

*** Replication + TLSL
xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

*** Replication + TLSL - phi
xi: xtpcse i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

log close

*** DONE: Scenario 2: omitted autoregressive covariates (these don't really work)
xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp i.state /*
*/	tlsl , corr(ar1) pairwise

*** DONE: Scenario 3: omitted spatially-clustered variable (omitted country fixed effects)
xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi /*
*/	tlsl , corr(ar1) pairwise

*** DONE: Scenario 4: omitted autoregressive DV
xi: xtpcse i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

*** Scenario 5: omitted spatially-clustered variable + autoregressive DV
xi: xtpcse i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	tlsl , corr(ar1) pairwise

